#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>

namespace Ui {
class CSettingsDialog;
}

class CSettingsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit CSettingsDialog(bool firstRun, QWidget *parent = 0);
    ~CSettingsDialog();
    //return chosen settings in correct order
    QList <QVariant> settingsList() const;
    //set settings constructor
    void setPath (QString path);
    void setImageFormat(QString format);
    void setStartNumber(int number);
    void setFileNameBase (QString name);

    QString path();
    QString imageFormat();
    int startNumber();
    QString fileNameBase();

private slots:
    //on butten clicked
    void selectDir();

private:
    //initialise ui controls and check them
    void setDirPath(void);
    void setAvailableFormats(void);
    Ui::CSettingsDialog *ui;
    QString m_dirPath;
    bool m_firstRun;

};

#endif // SETTINGSDIALOG_H
