#ifndef IMAGEWIDGET_H
#define IMAGEWIDGET_H

#include <QGraphicsView>
#include <QGraphicsScene>

class ImageWidget : public QGraphicsView
{
    Q_OBJECT
public:
    explicit ImageWidget(QWidget *parent = 0);
    void setImage (QPixmap &image);
    //return zoom factor in percents
    int zoomFactor();
    void setImageInfo(QString info) {m_imageInfo = info;}

protected:
    void drawBackground(QPainter *painter, const QRectF &rect);
    void paintEvent(QPaintEvent *event);
    void resizeEvent(QResizeEvent *event);
    
    
public slots:
   void setZoomIn ();
   void setZoomOut();
   void setFitInView(bool fit);
   //clear list, it doesn't delete files from disc
   void clear();

private:
   QGraphicsScene* m_scene;
   QPixmap m_image;
   double m_zoomFactor;
   QString m_imageInfo;
   bool m_fitInView;
    
};

#endif // IMAGEWIDGET_H
