#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "qscanner.h"
#include "imageviewer.h"
#include "image.h"

#include <QMainWindow>
#include <QThread>
#include <QSettings>

#include <libksane/ksane.h>
#include <libksane/libksane_export.h>
#include <libksane/version.h>

namespace Ui {
class MainWindow;
}
using namespace KSaneIface;
class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void imageReady(QByteArray &image, int width, int height, int bytespl, int format);
    void availableDevices(QList<KSaneWidget::DeviceInfo> deviceList);

protected:
    void closeEvent(QCloseEvent *event);

private slots:
    void openScanner();
    void writeSettings();
    bool readSettings();
    void openSettingsWindow(bool firstRun = false);
    
private:
    Ui::MainWindow *ui;
    KSaneWidget *m_ksane;
    QScanner *m_scanner;
    CImageViewer *m_imageViewer;
    QThread *m_imageThread;
    CImage *m_image;
    QSettings *settings;
};

#endif // MAINWINDOW_H
