#include <QDebug>

#include "scaleimage.h"
#include "ui_scaleimage.h"

CScaleImage::CScaleImage(QPoint pos, QSize size, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::CScaleImage)
{
    ui->setupUi(this);
    setWindowFlags(windowFlags() | Qt::Popup);
    move(pos.x(), pos.y());
    qDebug() << size;
    ready = false;
    m_size = size;
    ui->spinWidth->setValue(size.width());
    ui->spinHeight->setValue(size.height());
    connect(ui->bOk,SIGNAL(clicked()), this, SLOT(bOkclicked()));
    connect(ui->bCancel,SIGNAL(clicked()),this,SLOT(bCancelClicked()));

    changed = false;
    ready = true;
}

CScaleImage::~CScaleImage()
{
    delete ui;
}


void CScaleImage::bOkclicked()
{
    if (changed)
        emit newSize(QSize(ui->spinWidth->value(), ui->spinHeight->value()));
    close();
}

void CScaleImage::bCancelClicked()
{
    close();
}

void CScaleImage::on_spinWidth_valueChanged(int arg1)
{
    if (!ready)
        return;
    ready = false;
    changed=true;
    if (ui->bKeepProportion->isChecked()) {
        double wys = (double) arg1 * (double)m_size.height() / (double) m_size.width();
        ui->spinHeight->setValue((int)wys);
    }
    ready = true;
}

void CScaleImage::on_spinHeight_valueChanged(int arg1)
{
    if (!ready)
        return;
    ready = false;
    changed=true;
    if (ui->bKeepProportion->isChecked()) {
        double szer = (double) arg1 *(double)m_size.width() / (double) m_size.height();
        ui->spinWidth->setValue((int)szer);
    }
    ready = true;
}
